## gnome-shell-extension-flypie 17

=== Makefile ===
SHELL := /bin/bash

# We define these here to make the makefile easier to port to another extension.
NAME     := flypie
DOMAIN   := schneegans.github.com
ZIP_NAME := $(NAME)@$(DOMAIN).zip

# Some of the recipes below depend on some of these files.
JS_FILES       = $(shell find -type f -and \( -name "*.js" \))
UI_FILES       = $(shell find -type f -and \( -name "*.ui" \))
RESOURCE_FILES = $(shell find resources -mindepth 2 -type f)
LOCALES_PO     = $(wildcard po/*.po)
LOCALES_MO     = $(patsubst po/%.po,locale/%/LC_MESSAGES/$(NAME).mo,$(LOCALES_PO))

# These files will be included in the extension zip file.
ZIP_CONTENT = $(JS_FILES) $(LOCALES_MO) resources/$(NAME).gresource \
              presets schemas/gschemas.compiled metadata.json LICENSE

# These five recipes can be invoked by the user.
.PHONY: zip install uninstall pot clean test

# The zip recipes only bundles the extension without installing it.
zip: $(ZIP_NAME)

# The install recipes creates the extension zip and installs it.
install: $(ZIP_NAME)
	gnome-extensions install "$(ZIP_NAME)" --force
	@echo "Extension installed successfully! Now restart the Shell ('Alt'+'F2', then 'r')."

# This uninstalls the previously installed extension.
uninstall:
	gnome-extensions uninstall "$(NAME)@$(DOMAIN)"

# Use gettext to generate a translation template file.
pot: $(JS_FILES) $(UI_FILES)
	@echo "Generating '$(NAME).pot'..."
	@xgettext --from-code=UTF-8 \
	          --add-comments=Translators \
	          --copyright-holder="Simon Schneegans" \
	          --package-name="$(NAME)" \
	          --output=po/$(NAME).pot \
	          $(JS_FILES) $(UI_FILES)

# This removes all temporary files created with the other recipes.
clean:
	rm -rf $(ZIP_NAME) \
	       resources/$(NAME).gresource \
	       resources/$(NAME).gresource.xml \
	       schemas/gschemas.compiled \
	       locale

test:
	@ for version in 32 33 34 35 36 ; do \
	  for session in "gnome-xsession" "gnome-wayland-nested" ; do \
	    echo ; \
	    echo "Running Tests on Fedora $$version ($$session)." ; \
	    echo ; \
	    ./tests/run-test.sh -s $$session -v $$version ; \
	  done \
	done

# This bundles the extension and checks whether it is small enough to be uploaded to
# extensions.gnome.org. We do not use "gnome-extensions pack" for this, as this is not
# readily available on the GitHub runners.
$(ZIP_NAME): $(ZIP_CONTENT)
	@echo "Packing zip file..."
	@rm --force $(ZIP_NAME)
	@zip -r $(ZIP_NAME) -- $(ZIP_CONTENT)

	@#Check if the zip size is too big to be uploaded
	@SIZE=$$(unzip -Zt $(ZIP_NAME) | awk '{print $$3}') ; \
	 if [[ $$SIZE -gt 5242880 ]]; then \
	    echo "ERROR! The extension is too big to be uploaded to" \
	         "the extensions website, keep it smaller than 5 MB!"; \
	    exit 1; \
	 fi

# Compiles the gschemas.compiled file from the gschema.xml file.
schemas/gschemas.compiled: schemas/org.gnome.shell.extensions.$(NAME).gschema.xml
	@echo "Compiling schemas..."
	@glib-compile-schemas schemas

# Compiles the gresource file from the gresources.xml.
resources/$(NAME).gresource: resources/$(NAME).gresource.xml
	@echo "Compiling resources..."
	@glib-compile-resources --sourcedir="resources" --generate resources/$(NAME).gresource.xml

# Generates the gresources.xml based on all files in the resources subdirectory.
resources/$(NAME).gresource.xml: $(RESOURCE_FILES)
	@echo "Creating resources xml..."
	@FILES=$$(find "resources" -mindepth 2 -type f -printf "%P\n" | xargs -i echo "<file>{}</file>") ; \
	 echo "<?xml version='1.0' encoding='UTF-8'?><gresources><gresource> $$FILES </gresource></gresources>" \
	     > resources/$(NAME).gresource.xml

# Compiles all *.po files to *.mo files.
locale/%/LC_MESSAGES/$(NAME).mo: po/%.po
	@echo "Compiling $@"
	@mkdir -p locale/$*/LC_MESSAGES
	@msgfmt -c -o $@ $<

=== debian/changelog ===
gnome-shell-extension-flypie (17-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Dec 2022 10:52:57 -0500

gnome-shell-extension-flypie (17-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Oct 2022 16:01:26 -0400

gnome-shell-extension-flypie (17-1~exp1) experimental; urgency=medium

  * Copyright: add some svg files with CC-BY-4.0 license metadata
  * New upstream version 17
  * Update d/watch file.
  ^ Remove the CC-BY-4.0 license part for some svg files.
    The corresponding license headers are removed in the new release.
    They are licensed as CC0 as described in resources/README.md
  * Bump Gnome compatibility to (<= 44~).

 -- Mo Zhou <lumin@debian.org>  Mon, 10 Oct 2022 13:32:43 -0400

gnome-shell-extension-flypie (16-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1011460)

 -- Mo Zhou <lumin@debian.org>  Wed, 20 Jul 2022 21:36:53 -0700

=== debian/control ===
Source: gnome-shell-extension-flypie
Section: gnome
Homepage: https://github.com/Schneegans/Fly-Pie
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-flypie.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-flypie
Maintainer: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13), libglib2.0-dev, unzip, zip

# see metadata.json for supported gnome-shell version range
Package: gnome-shell-extension-flypie
Architecture: all
Depends: gnome-shell (<< 44~), gnome-shell (>= 3.36~), ${misc:Depends}
Description: innovative marking menu via keyboard shortcuts
 Fly-Pie is an extension for GNOME Shell which lets you open marking menus via
 keyboard shortcuts. It is the first GNOME Shell extension with achievements!
 .
 You can use it to launch applications, simulate hotkeys, open URLs and much
 more. It features a continuous learning curve which lets you gradually lift-off
 from a grumpie menu rookie to a snappie menu pielot. (You got it? Like pilot,
 but with a cake). Once you opened a marking menu, you can seamlessly transition
 between three alternative selection modes:
 .
  * Point-and-Click: Select items by clicking on them or anywhere in the
    corresponding wedges.
  * Marking-Mode: Select items by drawing gestures. To do this, click anywhere
    and drag your mouse. Pausing or making a turn selects the currently
	dragged item.
  * Turbo-Mode: You can also "draw" gestures while holding Ctrl, Shift, or
    Alt without having to press your mouse button! This is especially useful
	when you opened the menu with a shortcut involving such a modifier.

=== debian/rules ===
#!/usr/bin/make -f
TEMPDIR=debian/tmp/usr/share/gnome-shell/extensions/flypie@schneegans.github.com
%:
	dh $@

override_dh_auto_build:
	$(MAKE) zip

override_dh_auto_test:
	# this requires podman (and hence network access)

override_dh_auto_install:
	mkdir -p $(TEMPDIR)
	unzip flypie@schneegans.github.com.zip -d $(TEMPDIR)

## gnome-shell-extension-flypie 21

=== debian/changelog ===
gnome-shell-extension-flypie (21-2) unstable; urgency=medium

  * Mark gnome-shell 44 as already supported. (Closes: #1041571).
    Thanks to Simon McVittie!

 -- Mo Zhou <lumin@debian.org>  Thu, 24 Aug 2023 14:03:20 -0400

gnome-shell-extension-flypie (21-1) unstable; urgency=medium

  * New upstream version 21

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Jul 2023 15:06:00 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # see metadata.json for supported gnome-shell version range
 Package: gnome-shell-extension-flypie
 Architecture: all
-Depends: gnome-shell (<< 44~), gnome-shell (>= 3.36~), ${misc:Depends}
+Depends: gnome-shell (<< 45~), gnome-shell (>= 3.36~), ${misc:Depends}
 Description: innovative marking menu via keyboard shortcuts
  Fly-Pie is an extension for GNOME Shell which lets you open marking menus via
  keyboard shortcuts. It is the first GNOME Shell extension with achievements!

## gnome-shell-extension-flypie 27

=== debian/changelog ===
gnome-shell-extension-flypie (27-1) unstable; urgency=medium

  * Compile and install the missing gschemas.compiled file.
    Without this file we cannot enable this extension.

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Jan 2025 22:24:05 -0500

gnome-shell-extension-flypie (27-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #1079244)
  * Bump maximum GNOME Shell to 47

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:38:40 -0400

gnome-shell-extension-flypie (26-2) unstable; urgency=high

  [ Jeremy Bícha ]
  * Fix GNOME Shell maximum version to match metadata.json (Closes: #1052096)

 -- Mo Zhou <lumin@debian.org>  Wed, 17 Jul 2024 01:41:02 -0400

gnome-shell-extension-flypie (26-1) unstable; urgency=medium

  * New upstream version 26 (Closes: #1052096)

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Jul 2024 01:59:49 -0400

gnome-shell-extension-flypie (24-1~exp1) experimental; urgency=medium

  * New upstream version 24
  * Bump gnome-shell dependency to version 45. (Closes: #1052096)
  * Release to experimental.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Sep 2023 00:54:25 -0400

gnome-shell-extension-flypie (22-1) unstable; urgency=medium

  * New upstream version 22

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Sep 2023 20:29:05 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # see metadata.json for supported gnome-shell version range
 Package: gnome-shell-extension-flypie
 Architecture: all
-Depends: gnome-shell (<< 45~), gnome-shell (>= 3.36~), ${misc:Depends}
+Depends: gnome-shell (<< 48~), gnome-shell (>= 45~), ${misc:Depends}
 Description: innovative marking menu via keyboard shortcuts
  Fly-Pie is an extension for GNOME Shell which lets you open marking menus via
  keyboard shortcuts. It is the first GNOME Shell extension with achievements!

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 override_dh_auto_install:
 	mkdir -p $(TEMPDIR)
 	unzip flypie@schneegans.github.com.zip -d $(TEMPDIR)
+	cd schemas && glib-compile-schemas .
+	cp schemas/gschemas.compiled $(TEMPDIR)/schemas/

## gnome-shell-extension-flypie 28

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Simon Schneegans <code@simonschneegans.de>
+# SPDX-License-Identifier: MIT
+
 SHELL := /bin/bash
 
 # We define these here to make the makefile easier to port to another extension.
@@ -14,7 +17,8 @@
 
 # These files will be included in the extension zip file.
 ZIP_CONTENT = $(JS_FILES) $(LOCALES_MO) resources/$(NAME).gresource \
-              presets schemas/gschemas.compiled metadata.json LICENSE
+              schemas/org.gnome.shell.extensions.$(NAME).gschema.xml \
+              presets metadata.json LICENSE
 
 # These five recipes can be invoked by the user.
 .PHONY: zip install uninstall pot clean test
@@ -50,7 +54,7 @@
 	       locale
 
 test:
-	@ for version in 32 33 34 35 36 ; do \
+	@ for version in 39 ; do \
 	  for session in "gnome-xsession" "gnome-wayland-nested" ; do \
 	    echo ; \
 	    echo "Running Tests on Fedora $$version ($$session)." ; \
@@ -75,11 +79,6 @@
 	    exit 1; \
 	 fi
 
-# Compiles the gschemas.compiled file from the gschema.xml file.
-schemas/gschemas.compiled: schemas/org.gnome.shell.extensions.$(NAME).gschema.xml
-	@echo "Compiling schemas..."
-	@glib-compile-schemas schemas
-
 # Compiles the gresource file from the gresources.xml.
 resources/$(NAME).gresource: resources/$(NAME).gresource.xml
 	@echo "Compiling resources..."

=== debian/changelog ===
gnome-shell-extension-flypie (28-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * debian/not-installed: add .pc

  [ Mo Zhou ]
  * New upstream version 28 (Closes: #1096045)
  * Override dh_gencontrol to automatically find compatible gnome version.

 -- Mo Zhou <lumin@debian.org>  Tue, 18 Mar 2025 18:30:19 -0400

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,9 @@
 	unzip flypie@schneegans.github.com.zip -d $(TEMPDIR)
 	cd schemas && glib-compile-schemas .
 	cp schemas/gschemas.compiled $(TEMPDIR)/schemas/
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")
+

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/Schneegans/Fly-Pie/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gnome-shell-extension-flypie 32

=== debian/changelog ===
gnome-shell-extension-flypie (32-1) unstable; urgency=medium

  * New upstream version 32 (Closes: #1115510)

 -- Mo Zhou <lumin@debian.org>  Mon, 15 Dec 2025 18:11:11 -0500
